<%-- $Id: saveas.jsp 8295 2024-10-29 08:41:45Z nicklas $
	------------------------------------------------------------------
	Copyright (C) 2005 Nicklas Nordborg
	Copyright (C) 2006 Jari Häkkinen, Nicklas Nordborg, Martin Svensson

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
	------------------------------------------------------------------

	@author Nicklas
	@version 2.0
--%>
<%@ page pageEncoding="UTF-8" session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.SessionControl.MainContext"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.core.Permission"
	import="net.sf.basedb.core.ItemContext"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(pageContext, true);
final String ID = sc.getId();
final Item itemType = Item.valueOf(request.getParameter("item_type"));
String subContext = Values.getStringOrNull(request.getParameter("subcontext"));
if (subContext == null) subContext = sc.getCurrentSubcontext(new MainContext(itemType));
final ItemContext current = sc.getCurrentContext(itemType, subContext);
final String name = ItemContext.DEFAULT_NAME.equals(current.getName()) ? null : current.getName();
final DbControl dc = sc.newDbControl(":Save preset");
try
{
	String subContextName = subContext;
	if ("0.0".equals(subContextName)) subContextName = null;
	try
	{
		if (current.hasSubCategory())
		{
			subContextName = current.getSubCategory(dc).getName();
		}
		else if (current.hasItemSubtype())
		{
			subContextName = current.getItemSubtype(dc).getName();
		}
	}
	catch (PermissionDeniedException ex)
	{}
%>
<base:page type="popup" title="Save preset as...">
<base:head scripts="~saveas.js" />
<base:body>
	<h1>Save preset as... <base:help helpid="contexts.saveas" /></h1>
	<form name="preset" action="index.jsp" method="post">
	<input type=hidden name="ID" value="<%=ID%>">
	<input type=hidden name="cmd" value="SaveCurrentContext">
	<input type=hidden name="item_type" value="<%=itemType.name()%>">
	<input type=hidden name="subcontext" value="<%=HTML.encodeTags(subContext)%>">

	<div class="content bottomborder">
		<table class="fullform input100">
		<tr>
			<th>For item</th>
			<td><%=itemType%><%=subContextName == null ? "" : " › "+HTML.encodeTags(subContextName)%></td>
		</tr>
		<tr>
			<th>Name</th>
			<td><input class="text required auto-init" data-auto-init="focus" type="text" name="name" value="<%=HTML.encodeTags(name)%>" size="40" maxlength="40"></td>
		</tr>
		<tr>
			<th><label for="overwrite">Overwrite existing</label></th>
			<td><input type="checkbox" name="overwrite" id="overwrite" value="1" <%=name == null ? "" : "checked"%>></td>
		</tr>
		<%
		if (sc.hasSystemPermission(Permission.SHARE_TO_EVERYONE))
		{
			%>
			<tr>
				<th><label for="public">Public</label></th>
				<td><input type="checkbox" name="public" id="public" value="1"></td>
			</tr>
			<%
		}
		%>
		<tr class="dynamic">
			<th></th>
			<td></td>
		</tr>
		</table>
		
	</div>
	</form>
	
	<div class="legend">
		<base:icon image="required.png" />= required information
	</div>

	<base:buttongroup subclass="dialogbuttons">
		<base:button id="btnSave" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>

</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>
